[PATCH] Add support for concurrency while building components.

Brian Rogers brian at xyzw.org
Mon Feb 16 03:02:53 PST 2009


---
 build.sh |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/build.sh b/build.sh
index f2d7dab..c64d928 100755
--- a/build.sh
+++ b/build.sh
@@ -153,7 +153,7 @@ build() {
 	    ${CACHE:+--cache-file=}${CACHE} ${CONFFLAGS} "$CONFCFLAGS" || \
 	    failed ${CONFCMD} $1 $2
     fi
-    ${MAKE} $MAKEFLAGS || failed make $1 $2
+    ${MAKE} $JOBS $MAKEFLAGS || failed make $1 $2
     if test x"$CLEAN" = x1; then
 	${MAKE} $MAKEFLAGS clean || failed clean $1 $2
     fi
@@ -621,6 +621,7 @@ usage() {
     echo "  -d : run make distcheck in addition to others"
     echo "  -D : run make dist in addition to others"
     echo "  -g : build with debug information"
+    echo "  -j jobs : specify number of jobs to run concurrently"
     echo "  -m path-to-mesa-sources-for-xserver : full path to Mesa sources"
     echo "  -n : do not quit after error; just print error message"
     echo "  -p : run git pull on each component"
@@ -657,6 +658,10 @@ do
 	export CFLAGS
 	CONFCFLAGS="CFLAGS=-g3 -O0"
 	;;
+    -j)
+	shift
+	JOBS="-j $1"
+	;;
     -m)
 	shift
 	MESAPATH=$1
-- 
1.6.0.4


--------------060308000508000305040008
Content-Type: text/x-patch;
 name="0003-Add-option-to-build-just-one-specified-component.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename*0="0003-Add-option-to-build-just-one-specified-component.patch"



More information about the xorg-devel mailing list